Description

I think we should also improve Editor Bar MouseWheel behavior. The current behavior is not good, because when you scroll, the

annotation does not disappear. Moreover we should also reject the situations when scrolling is not possible.

re

For me the perfect solution is:

void EditorBar::MouseWheel(Point p, int zdelta, dword keyflags)

{

    if(editor) {

        int i = editor->GetScrollPos().y;

        editor->MouseWheel(p, zdelta, keyflags);

        if(i != editor->GetScrollPos().y)

            MouseLeave();

    }

}

History

#1 - 04/25/2014 09:36 PM - Zbigniew Rebacz

- File deleted (EditorBar.cpp)

#2 - 04/25/2014 09:37 PM - Zbigniew Rebacz

- File EditorBar.cpp added

We should use MouseMove instead of MouseLeave...

Code:

void EditorBar::MouseWheel(Point p, int zdelta, dword keyflags)

{

    if(editor) {

        int i = editor->GetScrollPos().y;

        editor->MouseWheel(p, zdelta, keyflags);

        if(i != editor->GetScrollPos().y)

            MouseMove(p, keyflags);

    }

}
#3 - 04/28/2014 06:02 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

Thanks!

Files

EditorBar.cpp 11.6 KB 04/25/2014 Zbigniew Rebacz
